> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Virtual Accounts

Virtual accounts create a unique bank account in the identity name (sometimes also referred to as a "named account"). These accounts can be used in a recurrent way since they keep the same deposit instructions (including routing number and account number).

Virtual accounts allow end users to make first party deposits (i.e. deposits from other accounts that are registered to the same end user). They do not generally allow deposits from third parties.

**Some benefits of Virtual accounts are:**

<AccordionGroup>
  <Accordion title="Enhanced control and tranparency">
    First-party VAs allow businesses to have more oversight and transparency. This level of control makes tracking incoming and outgoing funds, reconciling accounts, and auditing much easier.
  </Accordion>

  <Accordion title="Compliance and simplified reconciliation">
    Reconciling transactions is easier and more compliant with financial regulations, especially for companies that have complex payment requirements.
  </Accordion>

  <Accordion title="Scalability for global operations">
    VA provide a localized banking experience. Each VA can correspond to a specific currency or region, making global expansion more straightforward.
  </Accordion>
</AccordionGroup>

<Note>
  Virtual accounts are currently only supported in the US and EU regions.
</Note>

<Note>
  If you're just getting started, please check out our [quick start guide](/docs/quick-start-guide).
</Note>

## Create a virtual account

For users who are working with PFIs that support virtual accounts, you can easily create new ones all from the Borderless API.

<Note>
  Creating a virtual account is an asynchronous operation. After submitting the creation request, the virtual account will initially be in a "NotActive" status and will not have any instructions.
</Note>

<Tip>
  Endpoint: `POST /accounts/{id}/virtual-accounts`
</Tip>

<CodeGroup>
  ```bash request expandable theme={null}
  curl -X POST "https://sandbox-api.borderless.xyz/v1/accounts/{id}/virtual-accounts" \
  	 -H "Content-Type: application/json" \
       -H "Authorization: Bearer your-access-token" \
  	 -H "idempotency-key: 8f14e45f-e6c3-4f7e-bd56-1b9a2e46f1d6"\
  	 -d '{
    			"fiat": "FiatCuurencyId", // USD, ...
    			"country": "CountryCode", // US
    			"asset": "AssetId", // USDC_POLYGON
    			"counterPartyIdentityId": "Identity Id"
  		}'
  ```

  ```json response - not active expandable theme={null}
  {
    "id": "cm1gikfqt000e1la7x49gsywn",
    "accountId": "clwf43ntm0005o8knqqht0qcr",
    "counterPartyIdentityId": "cm1giduyh00051la7nrbna9xf",
    "status": "NotActive",
    "asset": "USDC_POLYGON",
    "fiat": "USD",
    "instructions": null,
    "depositInstructions": null,
    "createdAt": "2024-09-24T14:10:37.878Z",
    "failureReason": null
  }
  ```

  ```json response - active expandable theme={null}
  {
    "id": "cm1giy8yn000i1la7r22rw1si",
    "accountId": "clwf43ntm0005o8knqqht0qcr",
    "counterPartyIdentityId": null,
    "status": "Active",
    "asset": "USDC_POLYGON",
    "fiat": "USD",
    "instructions": {
      "currency": "usd",
      "bank_name": "Bank of Nowhere",
      "bank_address": "1800 North Pole St., Orlando, FL 32801",
      "payment_rail": "ach_push",
      "payment_rails": [
        "ach_push",
        "wire"
      ],
      "bank_account_number": "900044396474",
      "bank_routing_number": "101019644",
      "bank_beneficiary_name": "Mark Smith",
      "bank_beneficiary_address": null
    },
    "depositInstructions": null,
    "createdAt": "2024-09-24T14:21:22.272Z",
    "failureReason": null
  }
  ```
</CodeGroup>

Once the virtual account is activated, the account object will include a field called `instructions`, which contains the bank details for depositing funds. You can send any amount of funds to this account as many times as needed.

All funds received in this bank account will be automatically credited to your Borderless `account` in the asset that was selected during the creation of the virtual account.

<Info>
  If you have any questions, please don't hesitate to reach out to us via [email](mailto:support@borderless.xyz) or slack.
</Info>
